Bug 247879 - dm-mirror: spinlock in write_callback has the potential for deadlock
dm-mirror: spinlock in write_callback has the potential for deadlock
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
All Linux
low Severity low
: ---
: ---
Assigned To: Jonathan Earl Brassow
Martin Jenner
:
Depends On: 247877
Blocks: 430698
  Show dependency treegraph
 
Reported: 2007-07-11 16:16 EDT by Jonathan Earl Brassow
Modified: 2008-07-24 15:13 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:13:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Earl Brassow 2007-07-11 16:16:54 EDT
+++ This bug was initially created as a clone of Bug #247877 +++

write_callback is in dm-raid1.c is called when an I/O completes.  It calls
spin_lock(&ms->lock).  Since write_callback could be called from either process
or interrupt context, we need to use spin_lock_irqsave().

This becomes especially important when we want to layer dm-targets that might
call bio_endio from process context.
Comment 1 RHEL Product and Program Management 2007-08-13 10:11:47 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Linda Wang 2007-09-21 12:34:23 EDT
since the patch was posted after 4.6 kernel freeze, this patch requires
justfication to bring into 4.6 after the deadline.  Please provide bussiness
or technical justification and set either blocker or exception flag below to "?"
for 4.6 consideration.
Comment 4 Linda Wang 2007-09-25 18:27:58 EDT
okay.. move to 4.7. please provide bus./tech. justification for
4.6 inclusion if need to.
Comment 5 Vivek Goyal 2008-01-22 19:12:50 EST
Committed in 68.8
Comment 9 errata-xmlrpc 2008-07-24 15:13:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html

Note You need to log in before you can comment on or make changes to this bug.